#include <iostream>
using namespace std;
int main()
{
int N,L;
cin>>N;
if(N<1 or N>1000) {cout<<"N mora zadovoljavati 1=N=1000"; return 0;} //Ispituje velicinu N
cin>>L;
if(L<1 or L>1000000000) {cout<<"L mora zadovoljavati 1=L=10^9"; return 0;}  //Ispituje velicinu L
int H[N];
for(int i=0;i<N;i++)
    {
        cin>>H[i];
        if(H[i]<1 or H[i]>1000000000) {cout<<"H[i] mora zadovoljavati 1=H[i]=10^9"; return 0;}     //Ispituje velicinu H[i]
    }
for(int i=0;i<N;i++)
    if(H[i]<=L){cout<<i+1; return 0;}
cout<<-1;
    return 0;
}